gtkmm 3.24.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
Gtk::FileFilter::Info Class Reference

Information available per file when implementing a custom filter rule via add_custom(). More...

`#include <gtkmm/filefilter.h>`

## Public Attributes
FileFilterFlags | contains
| Flags indicating which of the following fields are filled. See add_custom(). More...
Glib::ustring | filename
| The filename of the file being tested. More...
Glib::ustring | uri
| The URI for the file being tested. More...
Glib::ustring | display_name
| The string that will be used to display the file in the Gtk::FileChooser. More...
Glib::ustring | mime_type
| The MIME type of the file. More...

## Detailed Description

Information available per file when implementing a custom filter rule via add_custom().

## Member Data Documentation

FileFilterFlags Gtk::FileFilter::Info::contains

Flags indicating which of the following fields are filled. See add_custom().

Glib::ustring Gtk::FileFilter::Info::display_name

The string that will be used to display the file in the Gtk::FileChooser.

Glib::ustring Gtk::FileFilter::Info::filename

The filename of the file being tested.

Glib::ustring Gtk::FileFilter::Info::mime_type

The MIME type of the file.

Glib::ustring Gtk::FileFilter::Info::uri

The URI for the file being tested.